% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/accessdb.R
\name{sm_as_date}
\alias{sm_as_date}
\title{Coerce Vectors to Dates}
\usage{
sm_as_date(x, end = FALSE, origin = "1899-12-30")
}
\arguments{
\item{x}{a character date string \code{"YYYY-MM-DD"} or \code{"YYYY-MM"}, year-quarter \code{"YYYYQN"} or \code{"YYYY-QN"}, year-month \code{"YYYYMNN"} or \code{"YYYY-MNN"} or calendar year \code{YYYY} (numeric or character), or a numeric value corresponding to a date that can be passed to \code{\link[base]{as.Date.numeric}}.}

\item{end}{logical. \code{TRUE} replaces missing time information with a period end-date which is the last day of the period. \code{FALSE} replaces missing month and day information with \code{"-01"},
so the year date is the 1st of January, and for months / quarters the 1st day of the month / quarter.}

\item{origin}{a date or date-string that can be used as reference for converting numeric values to dates. The default corresponds to dates generated in Excel for Windows. See \code{\link[base]{as.Date.numeric}}.}
}
\value{
A \code{\link[base]{Date}} vector.
}
\description{
This function coerces date strings i.e. \code{"YYYY-MM-DD"} or \code{"YYYY-MM"}, years e.g. \code{2015} (numeric or character),
year-quarters e.g. \code{"2015Q1"} or \code{"2015-Q1"}, year-months e.g. \code{"2015M01"} or \code{"2015-M01"} or numeric values representing dates (e.g. previously imported Excel date) to a regular R date.
}
\examples{
sm_as_date("2011-05")
sm_as_date(2011)
sm_as_date("2011Q1")
sm_as_date("2011Q1", end = TRUE)
sm_as_date("2011M2")
sm_as_date("2011M2", end = TRUE)

}
\seealso{
\code{\link{sm_expand_date}}, \code{\link{samadb}}
}
